org.apache.solr.client.solrj.io.eval

## Interface TwoValueWorker

All Superinterfaces:
  ValueWorker

All Known Implementing Classes:
  BetaDistributionEvaluator, BinomialDistributionEvaluator, CanberraDistanceEvaluator, ChebyshevDistanceEvaluator, ConvolutionEvaluator, CorrelationEvaluator, CosineSimilarityEvaluator, CovarianceEvaluator, CumulativeProbabilityEvaluator, DivideEvaluator, DotProductEvaluator, EarthMoversDistanceEvaluator, EBEAddEvaluator, EBEDivideEvaluator, EBEMultiplyEvaluator, EBESubtractEvaluator, EuclideanDistanceEvaluator, FindDelayEvaluator, GammaDistributionEvaluator, KendallsCorrelationEvaluator, KolmogorovSmirnovEvaluator, LogNormalDistributionEvaluator, ManhattanDistanceEvaluator, MeanDifferenceEvaluator, ModuloEvaluator, MovingAverageEvaluator, MovingMedianEvaluator, NormalDistributionEvaluator, PercentileEvaluator, PowerEvaluator, PredictEvaluator, ProbabilityEvaluator, RegressionEvaluator, ScaleEvaluator, SpearmansCorrelationEvaluator, SumDifferenceEvaluator, UniformDistributionEvaluator, UniformIntegerDistributionEvaluator, WeibullDistributionEvaluator, ZipFDistributionEvaluator

    public interface TwoValueWorker
    extends ValueWorker

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default Object` `doWork(Object... values)`
`Object` `doWork(Object value1, Object value2)`

### Method Detail

#### doWork

    Object doWork(Object value1,
                  Object value2)
           throws IOException

Throws:
  `IOException`

#### doWork

    default Object doWork(Object... values)
                   throws IOException

Specified by:
  `doWork` in interface `ValueWorker`
Throws:
  `IOException`